// BWResponderNotificationTableView -- Tableview that issues notifications
//                                     when its keyboard focus changes.

// why?  ThumbBorker wants to change a central display based on a tableview
// selection, and the user can choose between two tableviews.  Use the
// tableview that has keyboard focus to decide which one to drive the
// single view.

// Copyright (C) 2005 Borkware, LLC
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

// name of the notification.  The "object" attribute of the notification
// is the tableview that acquired keyboard focus

extern NSString *BWResponder_TableViewNotification;

@interface BWResponderNotificationTableView : NSTableView
{
}

@end // BWResponderNotificationTableView

