// BWResponderNotificationTableView -- Tableview that issues notifications
//                                     when its keyboard focus changes.

#import "BWResponderNotificationTableView.h"


// name of the notification.  The "object" attribute of the notification
// is the tableview that acquired keyboard focus

NSString *BWResponder_TableViewNotification
	  = @"BWResponder TableView Responder Changed Notifcation";


@implementation BWResponderNotificationTableView


// we got keyboard focus.  Post a notification

- (BOOL) becomeFirstResponder
{
    // let any necessary work be done
    BOOL result = [super becomeFirstResponder];

    // tell the world!
    [[NSNotificationCenter defaultCenter]
        postNotificationName: BWResponder_TableViewNotification
        object: self];

    return (result);

} // becomeFirstResponder


@end // BWResponderNotificationTableView

