// BWImageUtilities -- Image-related utility function

// Copyright (C) 2005 Borkware, LLC
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

// given a path to an image file, and a rotation factor (number of
// 90-degree rotations to make, < 0 for clockwise rotation, > 0 for
// counter-clockwise rotation, return a new image that's the original
// file, but rotated.

NSImage *BWImage_rotatedImage (NSString *filePath, int rotationFactor);



